Page MenuHomePhabricator

Issues with the Benevity Import
Closed, ResolvedPublic

Description

I'm trying to import the most recent Benevity file via the import. I first tried to import it on Friday 09/27/2019 and it timed out during the import before importing all the rows and ever since I've been trying to reimport it and again it's taking forever to even get to 30% processed.

I've add the file on the server and attached some screenshots of what i've seen:

smb://10.149.10.174/Fundraising/Tech/Major Gifts/Benevity Example/September 2019/DonationReport_3EE6C41P9V_20190927 79,265.23

Let me know if you need to see the file I used to reimport as well or if you need further details from me.

Event Timeline

RLewis created this task.Oct 1 2019, 8:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 1 2019, 8:17 PM

@Eileenmcnaughton i'm just bumping this as the import still isn't importing the file{F30613254}. Can you take a look please and advise on the next steps?

This hadn't been on our backlog but I just added it.

@DStrine thanks, let me know if you need anything else from me. I think Leanne is looking to reconcile September's figures within the next day or two so sorry it might be needed to be rushed.

I just tried it again & it completed.

The notable differences were

  1. you had already imported all except a handful of the contributions
  2. if you look at your screen shot it says that 4160 contacts had been added to CiviCRM over the last 5 minutes - your file was only 2605 lines & I think the load was from before you started - so I'm guessing a banner was up or an email had just gone out

I can't test whether there are bottle necks now because you had actually imported the file with only a few exceptions. My suspicions are that it's either server load or the new trigger of Nora's slows it a bit (although it seemed fine in testing).

I'll communicate about the 7 error rows separately - in 3 cases orgs need creating in civi - I'll double check the other 4 rows

@Eileenmcnaughton thank you so much for getting this imported for us.

Eileenmcnaughton closed this task as Resolved.Oct 16 2019, 1:34 AM

These are now all in. It's a bit hard at this point to determine if there was a problem or the server was just under load (per above) but let's see how we go next file